abcde 2.9.3

 * Replace non-portable sed code for generating offset list with some
   simple awk instead. Should now work on FreeBSD again.
 * Deal with bizarre cdda2wav behaviour when doing cdtext lookup - it
   writes the track information to *stdin*. Closes Issue #89:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=89
 * Add a warning in abcde.conf about mayb needing to install recode before
   using it in mungefilename()

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Feb 2018 09:55:12 +0000

abcde 2.9.2

 * Fix up lookup code to deal with spaces etc. in directory names
 * Cope with "stub" releases in Musicbrainz
 * Always call glyrc with LC_ALL=C. Thanks to Andreas Vögele for the
   report and the suggested fix. Closes Issue 83:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=50
 * Add a link to the CDDB data format in the abcde man page. Closes
   Issue 81: https://abcde.einval.com/bugzilla/show_bug.cgi?id=81
 * More fixups of track number padding. Thanks to John Straw for the
   patch.

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Aug 2018 23:07:12 +0800

abcde 2.9.1

 * Merged Debian packaging files updates
 * Fixups in the new Musicbrainz code:
   + Cope with not finding an entry for a CD!
   + Fix (again!) dealing with CDs with no release events

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Mar 2018 23:01:04 +0000

abcde 2.9

 * Add some documentation for the aged CD ripper dagrab. Thanks to 
   Teika Kazura for the notification and suggested documentation. This 
   closes Issue 50: https://abcde.einval.com/bugzilla/show_bug.cgi?id=50
 * Work by Matthias Andree <matthias.andree@gmx.de> to address the issue
   where abcde fails with accented characters from CD-TEXT. The issue and
   partial fix applied here documented in Issue 53:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=53
   and also in the abcde mailing list:
   https://lists.einval.com/pipermail/abcde-users/2017-January/000232.html
 * Allow for embedding of  album art downloaded by the getalbumart function. 
   Currently this is available for flac (using metaflac), mp3 (using eyed3),
    m4a (using AtomicParsley) and WavPack aka wv (using wvtag).
    This can be invoked in 3 ways:
     
     1. Use the commandline '-B' option (this will also call getalbumart)
     2. Use the commandline '-a embedalbumart' option to add to list of actions
     3. Use 'embedalbumart' in the 'ACTIONS' list in ~/.abcde.conf
     
   Still needs more development but it is perfectly usable at the moment!
 * Use md5 rather than md5sum under macOS. Thanks to JCount for the bug
   report and also the fix. This solves Issue 59:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=59
 * Support added for encoding with Audio Interchange File Format (AIFF). 
   Thanks to Massimo Villa for the feature request. FFmpeg is required
   for the encoding, the container and suffix are 'aiff'.
 * Allow selection of either cddb or musicbrainz from the command line:
 
  -Q   Select CDDBMETHOD from the command line. Choice is cddb or musicbrainz.
  
   Command line letters are fast running out but the 'Q' option quite neatly
   stands for 'Query'!
 * Allow for embedding with do_embedalbumart() for single track encodes when
   OUTPUTFORMAT and ONETRACKOUTPUTFORMAT are different. Thanks to Ashley Gittins
   for the bug report. This closes Issue 63:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=63
 * Experimental support for embedding albumart with ogg files. The slightly
   tortuous technique drawn from 2 sources:

   1. https://github.com/biapy/howto.biapy.com/blob/master/various/mussync-tools
   2. https://github.com/acabal/scripts/blob/master/ogg-cover-art
   
   Testing is strongly encouraged, perhaps the simplest way to test is with:
   
       abcde -o ogg -B
    
    Or the appropriate settings in an ~/.abcde.conf file.
 * Massive rework of CD lookup code so support multiple sources
   better. Thanks to Gabriel Rosenkoetter for his initial idea in this
   area, and to Tomasz Goliński on irc for initial inspiration on how
   this should work better.
   There are now 3 different options for CD lookup: cddb, musicbrainz and
   cdtext. They can all be listed in a comma-separated list for
   CDDBMETHOD and the code will now call all of them in the sequence
   listed. All the results will be combined into one list at the end for
   the user to select, just like would have previously worked for one
   source only. Closes Issue 42:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=42
 * Fix Musicbrainz ID calculation in makeids()
   Apply fix suggested by petecollins24@gmail.com; add PREGAP to
   LEADOUT to correct Musicbrainz ID calculation. Hopefully closes
   Issue 54: https://abcde.einval.com/bugzilla/show_bug.cgi?id=54
 * Fix abcde.mkcue() when handling the --wholedisk option. Thanks to
   Nino Burini for the patch. Closes Issue 47 and maybe also 45:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=47
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=45
 * Add more comprehensive examples for filename munging in the example
   config file. Closes Issue 49:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=49
 * Add a more better fix for the year lookup problem in abcde-musicbrainz-tool
   Thanks to Tom Samstag for the patch. Closes Issue 57:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=57
 * Redirect stderr on "which" calls to clear up error noise on some
   systems. Closes Issue 56:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=56
 * Add Irix support, based on a patch by abcde@canavan.de. Closes Issue 29:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=29
 * Rework abcde-musicbrainz-tool to work with WebService::MusicBrainz 1.x
   Thanks to Nicolas Guillaumin for the patch. Closes Issue 60:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=60
   Also added a specific dependency on version 1.0.4 or newer, so
   abcde-musicbrainz-tool will abort if the version found is too old.
   Since tweaked to deal with multi-artist albums and tracks more
   completely.
 * Add resume support in do_getalbumart()
 * Fix getopts setup for "P". Thanks to Alan W. Kerr for reporting this.
 * Major set of code cleanups to fix up lots of warnings found with
   shellcheck, and a few other style issues:
   + Lots of quoting fixes
   + Use $( instead of `
   + Stop using -o and -a syntax with if [ - use || or && instead
   + Wrap and shorten some very long lines
 * Wrap some output messages so they fit on a standard width console
 * Factor out repeated code and make page() more useful
 * Add version check before resuming from an old ripping run
   
 -- Steve McIntyre <93sam@debian.org>  Thu, 08 Mar 2018 00:14:56 +0000

abcde 2.8.1.

 * Fix silly error introduced in abcde-musicbrainz-tool when fixing bug
   30. Thanks to Thomas Klausner for the bug/patch. Closes Issue 52:
   https://abcde.einval.com/bugzilla/show_bug.cgi?id=52

 -- Steve McIntyre <93sam@debian.org>  Wed, 18 Jan 2017 11:02:38 +0000

abcde 2.8

  * Make fdkaac the default for m4a encoding. Faac can still be selected
    for m4a encding via ~/.abcde.conf file but best not to :).
  * Split user-definable mungefilename function into mungetrackname,
    mungeartistname, and mungealbumname, each of which default to
    mungefilename Thanks to Gerald Turner for the patch and enhancement
    request. This closes Issue 39:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=39
  * FAQs: Clarify the exit from multi-result CDDB search.
  * Fix to allow multiple output formats when aac fallback is triggered.
    Thanks to Birk Bremer for the bug report. This closes Issue 35:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=35
  * Fix for some erroneous error and status logging. Thanks to Christian
    Wasem for the bug report and fix. This closes Issue 32:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=32
  * Add support for trying multiple CD lookup services in order. Thanks to
    Gabriel Rosenkoetter for the patch. Closes Issue 42:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=42
  * Add Recommends on glyrc and imagemagick in Debian packaging. Closes
    Debian Bug #827626
  * Fix up handling of the first few sectors when reading
    from a whole-CD flac file or using cdparanoia in one-track
    mode. Thanks to Matthias König for the patch. Closes Issue 44:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=44
  * Tweak the fix in musicbrainz for handling sketchy returned data
    some more. Hopefully closes Issue 30:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=30
  * Re-enable some commented out cdparanoia/debug code in do_discid.
    Closes Issue 14:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=14
  * Add "-a" to lots of grep calls in case of "binary" looking data,
    e.g. non-ascii text in track titles!
    Closes Issue 24:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=24
  * Add "-L" to default curl options, to follow redirects if needed
    Closes Issue 40:
    https://abcde.einval.com/bugzilla/show_bug.cgi?id=40
    Thanks to Gabriel Rosenkoetter for the patch.
  * Switch default from "cddb" to "musicbrainz" for track lookup
    Closes Debian Bug #842178

 -- Steve McIntyre <93sam@debian.org>  Sat, 14 Jan 2017 00:53:48 +0000

abcde 2.7.2

  * When using musicbrainz, don't assume that there will be release
    events attached to a particular CD release. Bug fix for the addition
    of year information support in 2.7.1. Thanks to Ed Oehler and Alan W.
    Kerr for debugging help.
  * Support for output to the Matroska container (mka). Encoder
    is FFmpeg (or avconv). Typical conf file syntax would be:

     MKAENCODERSYNTAX=ffmpeg
     FFMPEG=ffmpeg
     FFMPEGENCOPTS="-c:a ac3 -b:a 448k"
     OUTPUTTYPE="mka"

    Thanks to Shantiq and Fakeoutdoorsman of the Ubuntu Forums
    for the idea.
  * Add id3tag mp3 tagger as this is the tagger available to
    OpenBSD users. Thanks to Christopher Zimmermann for the
    notification and patch.
  * Allow for cddb response 500. Thanks again to Von Welch for the
    bug report and patch. This closes Issue 26:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=26
  * Fix for 'expansion of $REDIR' bug on MacOSX. Thanks to Von Welch
    for the bug report. This closes Issue 22:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=22
  * Makefile adjusted to allow the sample abcde.conf file to be
    installed by default to /etc rather than $(prefix)/etc.
    Thanks to Volker Schmidt from archlinux for the bug report:
    https://bugs.archlinux.org/task/46671
  * Allow getalbumart to correctly place cover image when single
    track is selected. Thanks to Nino Burini for the bug report
    and also the fix. This closes Issue 25:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=25

 -- Andrew Strong <andrew.david.strong@gmail.com>  Wed, 6 Apr 2016 08:47:56 +0000
    
abcde 2.7.1

  * Rebuild of the abcde Makefile. Thanks to Reuben Thomas and Steve
    McIntyre as well as ReaperX7, bobzilla, 55020, GazL and dugan from
    the Slackware Forums. This closes Issue 4:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=4 
  * Fix incorrect use of 'break'. Thanks to Reuben Thomas for the
    bug report and fix which closes Issue 6:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=6
  * Make older versions of id3 happy when 'Genre' field is empty.
    Thanks to Martin Husemann for the fix which closes Issue 8:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=8
  * Add YEAR and GENRE variables to do_getalbumart(). Thanks to
    Johannes Gernemann for this patch which closes issue 9:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=9
  * Support added for encoding to True Audio using tta while still
    supporting the older ttaenc. Tagging is with mid3v2.
  * Support added for encoding to MPEG-1 Audio Layer II (mp2)
    with either twolame or FFmpeg / avconv. Tagging with mid3v2.
  * Encoding to WavPack with FFmpeg. Some slight changes to WavPack
    syntax with backward compatibility built in for abcde 2.7. 
  * Encoding to m4a container with FFmpeg or avconv. This allows
    for alac encoding with FFmpeg's reverse engineered alac encoder.
  * AAC encoding with fhgaacenc via Wine. Tagging is provided
    by AtomicParsley which has been added back to abcde :). This
    allows encoding with HE-AAC v2, unavailable with qaac.
  * Support added for AAC encoding with qaac via Wine. This
    also allows for Apple Lossless Audio Coding (alac) using
    either qaac or refalac. This closes Issue 142, thanks to
    Bernd Fischer-Krellenberg for the enhancement request.
  * Grab year information too when using musicbrainz. Thanks to
    Marco Hoppstaedter for the patch. Closes issue 10:
    http://abcde.einval.com/bugzilla/show_bug.cgi?id=10

 -- Andrew Strong <andrew.david.strong@gmail.com>  Sun, 4 Oct 2015 09:31:07 +0000

abcde 2.7

  * Rewrite of abcde's mungefilename function. Thanks to 
    Andreas Kusalananda Kahari for this and also thanks
    to Andrew Willis for the report which triggered the
    rewrite. Thanks also to shughes for an earlier report.
    This closes Issues 72 and 135.
  * TRACKTOTAL now written to flac and ogg files. Thanks to 
     monkth for the notification. This resolves Issue 76.
  * Support added for the downloading of album art. A huge
    thank you to Johannes Gernemann who came forward with
    the technique used and also the original patch. An equally
    huge thanks to Richard who extended and greatly enhanced
    the original patch. Detailed documentation added to the
    abcde FAQ document although the sane defaults in place
    will guarantee a good experience even for those who do
    not read documentation! This closes Issue 33.
  * Support added for ripping with the GNU Compact Disc 
    Input and Control library (libcdio) as requested by
    both gentoo and NixOS. The utility used is cd-paranoia
    and can best be called from a conf file as follows:

     CDROMREADERSYNTAX=libcdio       
     CD_PARANOIA=cd-paranoia  
     CDPARANOIAOPTS="--never-skip=40 --verbose"

    with the CD_PARANOIA variable giving the correct path 
    to cd-paranoia. I believe that cd-paranoia uses the same
    options as cdparanoia but if I am proven incorrect this 
    will need to be rectified...
  * Fix for encoding with bladeenc and usepipes.
  * Fix for broken ripping with dagrab. Closes Issue 140.
  * Fix for diskutil selecting wrong disk on OS X. Thanks
    to Richard for this fix which closes Issue 139.
  * Added some error checking and documentation for
    the abcde-musicbrainz-tool. Thanks yet again to
    Matthias Andree for this work! Closes issue 138.
  * New variables for m4a/aac encoding options to be 
    manipulated in a users ~/.abcde.conf file:
     1. FAACENCOPTS for faac encoding options
     2. NEROAACENCOPTS for neroAacEnc options
     3. FDKAACENCOPTS for fdkaacenc options
    Note that these options replace the now obsolete AACENCOPTS.
  * Check added for neroAacTag when encoding with neroAacEnc.
  * Several additions to usepipes with the following encoders 
    being added:
      1. mp3enc: mp3
      2. speexenc: Speex
      3. mpcenc: Musepack SV8
      4. wavpack: WavPack
      5. faac: aac
      6. neroAacEnc: aac
      7. fdkaac: aac
    The cd ripper cdda2wav (icedax) has also been added.
  * Ripping and encoding with 'usepipes' fixed. This fix
    closes Issue 46.
  * Suggested encoding options for mp3enc added to the sample
    abcde.conf. Last release of mp3enc in 1998 but it still
    works flawlessly with a modern abcde!
  * Suggested encoding options for l3enc added to the sample
    abcde.conf. Congratulations to abcde which in 2015 still 
    works with l3enc which saw its final release in 1997!
  * Fix for -o option use with options and multiple outputs.
    This allows for commandline options such as the following:
          abcde -o 'flac:-8,mp3:-b 320' 
    Thanks to Matthias Andree for yet another quality patch! 
    This closes Issue 136.
  * Support added for ReplayGain with WavPack encoding.
  * Fix for MusePack to allow the use of the SV8 ReplayGain 
    application 'mpcgain'.
  * Monkey's Audio (ape) encoding added. Tagging is with
    Robert Muth's apetag. Thanks to Shantiq for testing.
  * Simplify Opus tagging.This closes Issue 133.
  * Allow 'clean' when OUTPUTTYPE=wav, broken for some time.
    Thanks to Roger rogerx.oss<at>gmail.com for showing the
    problem and demonstrating the fix. This closes Issue 94.
  * Clarification that CDDBLOCALRECURSIVE=y is required for 
    local CDDB search. Thanks to Reuben Thomas for the
    notification. This partially resolves Issue 121.
  * AtomicParsley removed from debian/control, WavPack added.
  * Details of abcde's handling of faac compiled with and 
    without mp4v2 added as a new entry to FAQs.
  * Fix to allow display of the 'date' meta tag generated
    by eyeD3 in vlc, Audacious and friends.
    Thanks to Reuben Thomas. This closes Issue 126.
  * Fix for flac floating point error. Thanks to rwvtveer
    for the patch which closes Issue 113.
  * Formalised 3 methods of mp3 tagging using ID3TAGV:
      1.id3v2.4 using eyeD3 (set in abcde as the default)
      2.id3v2.3 using id3v2
      3.id3v1 using id3
    Thanks to Adriaan for this patch which fixes issue 101.
  * Support for WavPack added. Closes issue 123.
  * Fix for mp3 encoding with different versions of eyeD3.
    Thanks to Matthias Andree for this patch.
  * Major AAC encoding cleanup, including addition of the fdkaac encoder. 
    Thanks to Doug Mcmahon for assistance with this.

 -- Andrew Strong <andrew.david.strong@gmail.com>  Thu, 18 Jun 2015 12:27:52 +0000

abcde 2.6

  * Fix finding $CDROM on OS X. Thanks to niederstrasser for the patch.
    Closes issue 71.
  * USEID3 and USEID3V2 variables are unused now, so remove them. Thanks
    to vskytta for the patch. Closes issue 73.
  * Clean up movement to eyeD3, remove id3v2 remnants. Thanks to vskytta
    for the patch. Closes issue 74.
  * Fix infinite loop if cddb fails. Thanks to Dominic Hargreaves for the
    patch. Closes: #687038 in Debian
  * Switch from Musepack SV7 to SV8. Thanks to Andrew Strong for the
    patch.
  * Allow aac encoding with neroAacEnc. Thanks to atheren for the patch.
    Closes issue 8.
  * Allow opus encoding with opusenc. Thanks to Tomasz Golinski for the
    patch. Closes issue 70.
  * Fix typo: s/CUEWAVEFILE/CUEWAVFILE/ so that abcde.mkcue should now
    produce working cue files. Closes issue 78.
  * Remove no-op -q option. Closes issue 106. Thanks to vskytta for the
    patch.
  * Fix issue 112: perl encoding pragma deprecation. Thanks to Alex Corrie
    for the patch.
  * Fix option parsing for multiple output formats. Thanks to
    matthias.andree@gmx.de for the patch. Closes issue 115.
  * Fix eyeD3 tagging for cddb entries without year. Thanks to vskytta for
    the patch. Closes issue 107
  * Add mention of CD-TEXT support in the man page. Closes issue 102.
  * Make Y/N prompting more consistent. Closes issue 95
  * Remove the no-op -B option. Closes: #426531 in Debian
  * Document the need to escape parentheses in tag comments.
    Closes: #256941 in Debian.
  * Concatenate option steps on -t/-T option. Thanks to Charles
    Steinkuehler for the patch. Closes: #391294 in Debian
  * Try to use bsd-mailx where possible to force UTF-8 for cddb-tool mail
    submissions. If not possible, attempt to force UTF-8 via the
    environment and fall back to mail instead. Closes: #756289 in Debian,
    issue 111.

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Oct 2014 13:17:24 -0700

abcde 2.5.4

  * Update GPL/FSF headers to match current versions. Thanks to vskytta
    for the patch. (Closes issue 69).
  * Fix the command line for ID3SYNTAX=eyed3. Thanks to neil.gm.richards
    for the patch. Closes issue 50.
  * Switch to eyed3 by default for MP3 tagging, as it looks to do UTF-8
    tagging better. Closes issue 22 (hopefully)

 -- Steve McIntyre <93sam@debian.org>  Tue, 18 Sep 2012 12:42:11 +0100

abcde 2.5.3

  * Sort options alphabetically (Closes issue 58).
    Thanks to vskytta for the patch.
  * Add Recommends: mailx in the Debian packaging for Debian/Ubuntu
    users. Closes: #607147
  * Fix encoding call for m4a. (Closes issue 31). Closes: #449045
  * Fix do_musicbrainz() for the case where there are no matches.
  * When using Musicbrainz, checksum and only output unique matches for an
    album. Closes: #669143
  * Add Recommends: atomicparsley in the Debian packaging for Debian/Ubuntu
    users. LP: #535527
  * Remove documentation of the old "-R" option for recursive searching of
    local CDDB data, it's now enabled always. (Closes issue 57).
  * Fix use of awk (sub instead of substr) when generating CRLF line endings.
    (Closes issue 59).
  * Make sure that ABCDETEMPDIR is quoted so we can deal with spaces in
    file and directory names. Closes issue 64. Thanks to
    richard.security.consultant for the patch, adapted slightly.
  * Tweak do_cdtext() so it works on OS X too. Closes issue 65.
    Thanks to richard.security.consultant for the patch.
  * Change cddb-tool to use bash to make sure that echo -n works.
    Closes issue 67.
  * Fixes for lots of spelling mistakes from vskytta. Closes issue 68.
  * For safety across different systems, avoid using "sed -i".
    Closes issue 66.

 -- Steve McIntyre <93sam@debian.org>  Sat, 16 Jun 2012 15:12:11 +0100

abcde 2.5.2

  [ Steve McIntyre ]
  * Re-fix speex tagging. (Closes issue 19).
    Thanks to vskytta for pointing out the problem - patch not applied
    properly in 2.5.1
  * Quickly re-release as 2.5.2

 -- Steve McIntyre <93sam@debian.org>  Sun, 29 Apr 2012 17:17:14 +0100

abcde 2.5.1

  [ Steve McIntyre ]
  * Several patches for improved Musicbrainz support from Martin Michlmayr:
    + add musicbrainz support for FLAC files with embedded cue files.
      Closes: #669139
    + Don't submit to CDDB server when using musicbrainz
      Closes: #669140
    + Don't tag CDDB string with musicbrainz id
      Closes: #669141
  * Fix speex tagging. (Closes issue 19).
    Thanks to vskytta for the patch.
  * Fix aac tagging. (Closes issue 7).
    Thanks to Andrew Strong for forwarding the patch.
  * Add ATOMICPARSLEY=AtomicParsley (Closes issue 37).
  * On OS X, switch from disktool to diskutil. (Closes issue 43).
  * Updates for CD device detection:
    + Look for /dev/sr0, in case /dev/cdrom doesn't exist.
      (Closes issue 52).
    + Add suggested diskutil code to auto-detect the CD on OS X.
      (Closes issue 45).
  * Check that we have $CDDBTOOL before we start. (Closes issue 27).
  * Change the meaning of EXTRAVERBOSE; previously, it was a y/n option
    to make things more verbose. Add extra levels of verbosity (0, 1, 2 so
    far) and a new vvecho() function for callers to use.
  * With EXTRAVERBOSE==2 or more, make run_command() print out each
    command as it's run. (Closes issue 39).
  * If we don't find any CDDB or Musicbrainz information for the CD, try
    to extract CD-Text information to populate the cddbinfo template.
    (Closes issue 41).
  * Try to give more helpful error messages when we can't parse the
    command line, and exit rather than carry on. (Closes issue 51).

  [ Colin Tuckley ]
  * replace deprecated egrep with grep -E (Closes issue 24).
    Thanks to vskytta for the patch.
  * remove -o 0 options from make install (Closes issue 17).
    Thanks to vskytta for the patch.
  * clean up indentation on older changelog entries
  * remove tarball target from Makefile since dir structure
    has changed now that we use subversion.
  * improve presentation of options/defaults when asking a question
    (closes issue 9)

 -- Steve McIntyre <93sam@debian.org>  Wed, 25 Apr 2012 12:35:00 +0100

abcde 2.5.0

  * Bumped to 2.5.0
  * Add support for Musicbrainz using a perl helper script.
    Closes: #665970
  * Tweak man page. Thanks to Mats Erik Andersson for the patch.
    Closes: #627237
  * Make the -q option work again. Thanks to A Mennucc for the patch.
    Closes: #562522

 -- Steve McIntyre <93sam@debian.org>  Fri, 13 Apr 2012 22:29:45 +0100

abcde 2.4.2

  * Bumped to 2.4.2
  * Fix Cue file always references "dummy.wav" bug
    patch from Chris Chiappa (Closes: #459928).
  * Whitespace cleanup, replace single perl instance with sed
    (Charles Steinkuehler)
  * Fix leadin/leadout computation for cue files broken bug
    Patch from Martin Michlmayr (Closes: #582175).

 -- Colin Tuckley <colint@debian.org>  Sat, 29 May 2010 09:43:01 +0100

abcde 2.4.1

  * Bumped to 2.4.1
  * In manpage note a 2nd use for LOWDISK (or '-l' switch)
    it's faster and better on scratchy disks (Closes: #426343).
  * Add configurable options for replaygain tools.
  * Fix syntax error in tagged speex command (Closes: #554406)
    Ubuntu patch by Michael Helmling.
  * Fix mp3 tagging fails for single author albums (Closes: #554030)

 -- Colin Tuckley <colint@debian.org>  Sun, 14 Feb 2010 13:09:47 +0000

abcde 2.4.0

  * Bumped to 2.4
  * Corrected REDIR redirection, this time with ifs instead of variable
    substitution, which did not work (Closes: #527191).
  * Added TPE2 for Various artists definition (Closes: #521669).
  * Incorporate syntax error fix patch from Andrew Ruder.
  * Fix formatting for track number tagging.
  * Replace dependency on cdda2wav with icedax since the former has
    been superseded.

 -- Colin Tuckley <colint@debian.org>  Fri, 16 Oct 2009 19:33:33 +0100

abcde 2.3.99.8

  * Remove svn Revision tag from version.
  * Correct homepage URL in README (Closes: #526165).
  * Fix typos (Closes: #435605, #435606).
  * Fix misspelling of comma in script and manpage (Closes: #435603).
  * Fix Writable temp directories not owned/writeable (Closes: #143552).
  * Fix broken range code, patch from Charles Steinkuehler (Closes: #389981).
  * Remove unneeded escapes in cddb-tool URLs.
    Add support for freedb2 (Closes: #391110).
    another patch from Charles Steinkuehler.
  * Fix Endless loop possible when mp3gain asks clipping question bug
    (Closes: #411579).
  * Update Vcs-Svn: tag in debian/control.
  * Add a recommends for vorbis-tools (Closes: #392843).
  * Update standards version to 3.8.2 (no changes required).
  * Fix debian/preinst not to ignore errors.

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Aug 2009 13:32:30 +0100


abcde 2.3.99.7

  [ Jesus Climent ]
  * The "It took me a long time to get this release out" release.
  * abcde.1: remove -M in favour of "-a cue" (Closes: #382614, #396505).
  * Added a check for a DOCUE already set in the command line
    (Closes: #385663).
  * Added -q <Q> as a quality option.
  * PREGAP was not set in some situations (Closes: #390170).
  * Added -nv to wget for "no verbose" output, to avoid wget complaining it
    cannot be quiet and verbose at the same time if "verbose = on" is set in
    ~/.wgetrc (Closes: #388715).
  * Added XS-Vcs-Svn: field to control file.
  * Added some hints if we are using Debian for what packages need to be
    installed if their binaries are not found.
  * Spelling mistakes corrected (thanks to Ville Skytta).
  * Unset GREP_OPTIONS to avoid things like printing number in the beginning of
    the line (Closes: #383771).
  * Default answer to erase a playlist was not working (thanks to Charles
    Steinkuehler) (Closes: #395108).
  * Corrected man page wrapping. Thanks to Edward J. Shornock
    (Closes: #399289).
  * Adds DISCNUMBER to Ogg/Vorbis and FLAC when using -W.
  * Minor typos (Closes: #458995).
  * Added AtomicParley for AAC encoding. Thanks to Bill Adams.
  * Added by Marc Staveley:
    - post_encode hook.
    - track comments if null and present in CDDB.
  * Corrected copyright information (Closes: #516535).

  [ Colin Tuckley ]
  * Added new uploader (Closes: #529695).
  * Fix Lintian warning for make-clean-error.
  * Fix FSF address in debian/copyright.
  * Fix binary-arch-rules-but-pkg-is-arch-indep lintian warning.
  * Add homepage: field to debian/control
  * Update standards version to 3.8.0
  * Remove debian/conffiles (it is not needed).
  * Fix syntax error in abcde (missing fi).

 -- Colin Tuckley <colint@debian.org>  Sat, 25 Jul 2009 09:50:42 +0100

abcde 2.3.99.6

  * Default to UNICODE (UTF8) tags and comments (Closes: #282332).
    - Added CDDBPROTO option in config file (Closes: #349951)
  * Added a missing "INDEX 01" entry for CUE sheet creation.
  * Avoid completing the encoding of files if we aborted previously.
  * Embed the CUE sheet if we have a cuesheet file and we have a single FLAC
    file, even if we are not tagging. This way we can use the file as a source
    even if it is not tagged/named properly.
  * Fails to quote filenames properly (Closes: #355296)
  * Introduced VA/ONETRACKOUTPUTFORMAT.
  * Added a missing check for AACENCODER.
  * Updated config file with some new AAC bits.
  * Updated FSF address.
  * Corrected NetBSD options for ftp (Thanks to Marius).
  * The final 2.4 will have "cuefile" as an action instead of as a flag.
  * Create the cuefile when extracting from a FLAC file.
  * Small bugs (Charles Steinkuehler):
    - Added missing quotes (Closes: #375710)
    - toolame is included in Debian as default MP3 encoder
    - Use IFS to preserve spaces when adding metadata to a cuefile
  * Small documentation changes:
    - abcde.1 (Closes: #364978)
  * The following entries have in common that both add an internal cue2discid
    function. I will evaluate which one is more accurate and decide which one
    to use. Right now they are not conflicting:
    - Added internal mkcue and cue2discid functions (Charles Steinkuehler) and
      add a check for internal abcde.<function> to make sure we are using the
      correct version (not sure if needed ;)
    - Added an internal implementation of cue2discid, so there is no need for
      an external program to do the conversion. Thanks to Michael (sorry, his
      mail does not have a surname).
  * cue2discid is now an internal function, so no need for including the
    python script in the path (Closes: #378407)
  * cddb-tool.1 typo (Thanks to A. Costa) (Closes: #351775)
  * abcde.1 typo (Thanks to David L. Anselmi) (Closes: #364978)
  * Set proper nice values to not separate encoding and reading in the pipes
    situation, while having a high priority process running in the system.
    Also, set proper nice values to tagging tasks. Reading should remain as
    the default higher priority task in the abcde flow (Closes: #359156)
  * Standards bumped to 3.7.2.1, no changes needed.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat,  5 Aug 2006 05:26:56 +0300

abcde 2.3.99.5

  * Repaired multiple CDDB entries when recursive search is active.
  * Patch from A. Costa to clean some typos (Closes: #351774).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 07 Feb 2006 23:48:00 +0200

abcde 2.3.99.4

  * Repaired multiple output encoding (Closes: #351362).
  * Added missing space on a [] test statement.
  * Added "default" action, so that one can add things on top of what we do
    regularly, without having to list everything: "-a default,playlist" works.
  * Restored all the > /dev/null instead of using grep -q, since it is not
    portable.
  * Added Solaris OS entry, in case we need to define things for it.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 05 Feb 2006 15:24:00 +0200

abcde 2.3.99.3

  * The "Mao es nuestro indiscutible lider" release.
  * Check the CDROMREADER options we have in Debian which we depend on. Thanks
    to Jose Carlos Garcia Sogo for finding the error.
  * New recursive option for local CDDB repositories, to cope with other
    players saving the entries.
  * Brand new CD backup procedure: rip a CD into a single FLAC trac with an
    embedded cuesheet using "-1 -M -o flac" and proceed to rip your tracks
    from the obtained file using "-d file.flac -o <format>". It needs
    cue2discid script from the examples directory to work. OH! If you manage
    to get it working with bash, we can get rid of the python dependency...
  * Initial steps to make abcde working with musicbrainz, although it is not
    ready yet.
  * Added a missing $ in a variable (Closes: #345629).
  * Added -p to the mkdir's for $ABCDETEMPDIR (Closes: #345630).
  * Added iconv + converted to utf-8 the charset of a ready-to-send CDDB
    entry (Closes: #345708).
  * Added AAC (Mpeg4) support.
  * Small cd-discid update.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 19 Jan 2006 23:27:40 +0200

abcde 2.3.99.2

  * Missing bits in the 2.3.99.1 changelog:
    - Man page: added information about -z (Debug option).
    - Corrected config file with the BATCHNORM/NOGAP split
      (Closes: #337622).
    - Uses /bin/bash for the time being... We need to get some substitution
      functions/operations for the bashisms we have: Closes: #337139.
  * Config bits with corrected typos
  * Adding musicbrainz support. First bits.
  * Reworked comparison for numerical answer when selecting a CDDB output.
  * TODO updated

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 12 Dec 2005 23:46:58 +0200

abcde 2.3.99.1

  * Both -z and -C unset EJECTCD to avoid ejecting the CD when a) we are
    debuging and b) we are not using the CD.
  * If we are not reading the CD, set "loud" to see all the output messages
    (that is, in most of the cases, the first encoding).
  * Added -f to force some events that otherwise would erase files from our
    current run. In the standard configuration ("OUTPUT=vorbis") the following
    actions will need a "-f" to force the last one:
      abcde -a read,encode -o ogg,flac
      abcde -a tag,move,clean
    During the second run abcde should complain that it is trying to erase the
    working directory while the it has not performed any action on the FLAC
    files, which we encoded previously.
  * Convert the old cdparanoia-audio-tracks file into a status entry to avoid
    eating files from previous rounds using an early version (Closes: #341050)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 29 Nov 2005 23:27:20 +0200

abcde 2.3.99

  * Added diff choice to CDDB entries ("1,4").
  * Added SHOWCDDBFIELDS to allow the user to show YEAR and GENRE in the
    parsed CDDB output.
  * Suggests mkcue, and erase old cdgrab info since sarge is out.
  * Changed cdparanoia-audio-tracks to use the status file to save the data.
  * Added the possibility of using a singletrack flac file with an embedded
    cuesheet as a source of tracks.
  * Added -z for easy and quick debug.
  * BATCH has been split into two options: BATCHNORM which allows, by using
    -b, to use the -a normalize in all the files at once, and NOGAP, that by
    using -g, introduces the lame's --nogap extension.
  * Added replygain using the appropriate tags with Ogg/Vorbis and Ogg/FLAC.
  * Replaygain is an action, not a flag, since it can be performed individually
    in the chain of events.
  * debian/{rules,control}:
    - Changed the target directory from tmp to abcde, to accommodate to compat
    mode 4.
    - Bump standards to 3.6.2.1. No changes needed.
  * Added "decho" as a DEBUG output for some specific debug variables.
  * Added USEPIPES file, with information about how to add Unix pipes support.
  * Added one more checking for PIPES*_* unset variables (which means support
    is not added to abcde).
  * Added toolame as an optional MP3 encoder.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat,  8 Oct 2005 17:05:32 +0300

abcde 2.3.4

  * Some patches from Tom Spindler <dogcow () babymeat ! com>
    - Added some quoting to the md5sum checkings, since the variables could be
      null.
    - NetBSD bits to use ftp instead on anything else to fetch stuff.
  * do_playlist needs to convert the OUTPUT to the CONTAINERS to avoid ending
    with playlists pointing to .vorbis files (Closes: #326487).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat,  3 Sep 2005 16:50:07 +0300

abcde 2.3.3

  * Rips done in a single track were getting tagged as Various. Corrected.
  * Possibly eliminated some bashisms from using a variable as a variable
    (Closes: #324399). Thanks to A Costa.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 26 Aug 2005 01:36:35 +0300

abcde 2.3.2

  * Too fast... I forgot to make the tarball and change the version strings in
    several places. Fixed.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 19 Aug 2005 00:44:37 +0300

abcde 2.3.1

  * The new "I knew there were going to be bugs" upstream release!
  * MKCUE needs to be passed some $CDROM as an option, or otherwise it will
    not read the CDROM, in case is not /dev/cdrom.
  * Also, make the CUEREADER a bit more general, since we might be using other
    CUE extractors.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 18 Aug 2005 23:44:20 +0300

abcde 2.3.0

  * New upstream release!
  * Defining the tracknumber now resets the first track if given a number
    different than 1 (that is: abcde -T 1 2-10 creates songs 1 to 9).
  * Modified the FAQ to reflect the changes on Marillat's repo
    (Closes: #315724).
  * Should be "space" safe: works properly when the working directory contains
    a space (Closes: #147493).
  * Repared the CD query for the discid code. When failing to read a disc,
    actually report that there might be no disc in the drive.
  * Right now, walk over the different encoders we Depends: on in Debian and
    use the one available: if a user has a FLAC encoder, abcde will no install
    vorbis-tools, so it will fail to run out of the box (Closes: #321216)
  * Added CUE support. Still experimental...
  * Added FLAC on Ogg. Still not activated, since we cannot get comments added
    as a post-process action.
  * Applied patches from Fedora Core (Credit goes to Nils Philippsen
    <nphilipp@redhat.com>)
  * Added a post_read() function to be executed before ejecting the CD.
  * Typos reported by A Costa corrected (Closes: #311463)
  * Problem with abcde being run in a directory with files containing only
    numbers solved (Closes: #313628).
  * vorbiscomment uses now "-R" (Closes: #303566).
  * "-t" and "-T" use the first track as a starter for the track list.
    (Closes: #305749).
  * Added CDPARANOIACDROMBUS option to define -d in case of using IDE and SCSI
    in case of using ide-scsi emulation layer (Closes: #290768).
  * Define metaflac in abcde.conf (Closes: #303555)
  * Added the default "-f" option to the configuration file, to represent the
    actual default option.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 11 Aug 2005 00:47:27 +0300

abcde 2.2.6

  * Double quotation added to solve parsing * as a wildcard (Closes: #302904).
    Thanks to Christian Grigis for the patch. Also (Closes: #268088).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun,  3 Apr 2005 18:18:03 +0000

abcde 2.2.5

  * CDPARANOIAOUTPUT missed some quotes.
  * Removed some useless lines.
  * If BATCH is used with ONETRACK, disable BATCH.
  * Small typos with CDROM comparisons.
  * Logic for CDROM variable improved.
  * Version bumped to 2.2.5 and targeted to Sarge.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat,  2 Apr 2005 21:05:18 +0300

abcde 2.2.4

  * Changed the way we call flac, to adapt to the new times:
    --import-vc-from= to --import-tags-from.
  * DOSPLAYLIST was not included in the list of options.
  * Options passed to the encoder by using <-o ogg:"-b 192"> are now
    supported. One can modify the way abcde encodes just for the current CD.
  * Unfortunately I forgot to add the starting number for tags in Ogg. For
    MP3 is a bit more difficult, since it needs changing the X/YY code.
  * Also, the order of the tags in metaflac is important for the utf8 names.
    Thanks to Frederik Juul Christiani (Closes: #297482)
  * Added CDROMID in the .conf file, for reader programs that need it
    (Closes: #297005)
  * Added a check for cdparanoia when encountering data-only CDs.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue,  1 Mar 2005 15:14:24 +0200

abcde 2.2.3

  * debian/control
    - suggest normalize-audio, since it changed its name (Closes: #287674).
  * Use the default while erasing an existing playlist (Closes: #288835).
  * Does not destroy track information when a track contains "=" in the name
    (Closes: #290709).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat, 22 Jan 2005 15:35:46 +0200

abcde 2.2.2

  * Quotes missing when evaluating a value (Closes: #284018).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri,  3 Dec 2004 09:20:18 +0200

abcde 2.2.1

  * Spotted and solved a problem with the way the data tracks were detected
    (Closes: #282647).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Wed, 24 Nov 2004 22:47:54 +0200

abcde 2.2.0

  * New release! Let's see if abcde 2.2 gets into Sarge.
  * Added support for MPP/MP+(Musepack) encoding. Although I am trying to
    get 2.2 for Debian Sarge release, mpc seems safe enough to introduce. See
    corecodec.org for code.
  * Some POSIX shell corrections (making the code more portable). Thanks to
    Guillem Jover for pointing the problem out.
  * CDYEAR is also passed to do_move(), so one can use it for sorting the
    directories.
  * Small MacOS X fix, allowing directories with "()" to work. Thanks to Evan
    Jones.
    - On the MacOS X, I still do not know if abcde works correctly. If does
      not, please, drop a note. Or else.
  * DOSPLAYLIST also changes "/" with "\".
  * DATA tracks are now excluded from the ripping process using internally
    the cdparanoia "-Q" query option. If using another ripper, it does not
    work (at least there is no support for them in abcde)
    (Closes: #112692, #117412).
  * New "0" choice for "None of the above" has been introduced. If selected, a
    template is created and the user encouraged to edit it (Closes: #147683).
  * New options for when the PLAYLIST already exists: erase, append or keep.
  * Bug fixes along the code:
    - abcde.1 corrections and additions
    - abcde corrections and code reorganization. abcde now exits earlier if
      some of the options are incompatible. Also the actions are set as
      variables earlier, so we use less calls to external tools.
    - abcde.conf additions
  * The GENRE is munged now in its own mungegenre function, so that no more
    upper-to-lowercase is done (forced) except if the default is used.
  * Examples added to the tarball and /usr/share/doc/abcde/examples with two
    scripts to make abcde kind-of-a ripper daemon.
  * Changed to experimental to have an stable 2.1.x version in Sarge.
  * Add CDDB information to Ogg/Vorbis and FLAC files (Closes: #265358).
  * Added INTERACTIVE option. Set it to "n" and there you go, without user
    interaction.
  * Changes normalize to normalize-audio (Closes: #267053)
  * Copes with wav files being erased by the ripping tool.
  * Small patch to support ()'s in the path under MacOSX. Thanks to Evan Jones
    for noticing and sending the patch.
  * Added -w for COMMENT seed. Used to give a comment to a given CD.
  * Option "-t <number>" added to modify the numbering from a starting point
    (Closes: #95828). Geez! That is low bug number...
  * Added -T to modify also the tag entries on the songs. Currently available
    for FLAC and Ogg/Vorbis.
  * Removes trailing spaces (Closes: #280382).
  * TRACKNAME now combines multi-lines from long CDDB entries.
  * debian/rules:
    - s/dh_installmanpages/dh_installman/

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun,  7 Nov 2004 03:11:22 +0200

abcde 2.1.21

  * Changed normalize with normalize-audio (Closes: #267053).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 20 Aug 2004 13:16:46 +0000

abcde 2.1.20

  * The "Let's have a good abcde in Sarge" release.
  * The mungefile() function changes * with + by default to avoid creating
    directories with the start expanded to the files found in the current
    directory. abcde2.2 will most likelly contain a better workaround.
  * Correct default OUTPUTFORMAT in man page (Closes: #250649)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 30 Jul 2004 10:16:46 +0300

abcde 2.1.19

  * Encoding the whole CD in one file is now possible. Use "-1" as a flag
    (Closes: #126267).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri,  9 Apr 2004 17:04:58 +0000

abcde 2.1.18

  * Do not release in a hurry. The eject program is not needed if CDSPEEDVALUE
    is not set and no EJECT action is performed (Closes: #242506)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu,  8 Apr 2004 05:18:49 +0000

abcde 2.1.17

  * Dud! Those missing quotes are going to kill me. Quotes restored and
    (Closes: #242508).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Wed,  7 Apr 2004 06:30:31 +0000

abcde 2.1.16

  * New setting for the CD speed. Some drives have a higher failure ratio when
    spinning at high speed.
  * Added a pre-read function for preparations. Uses include closing the CD
    tray (Closes: #137548).
  * Added COMMENT part in OggFlac metadata.
  * Documentation update: README, abcde.1
  * Do not tag GENRE and DATE in Ogg/Vorbis if CDDB does not provide them
    (Closes: #235531).
  * Solved bug with batch encoding, thanks to Travis McKay.
  * When *DATAPREFIX was set, the playlist creation was made without newline.
  * Added >&2 redirection to visualize the "Erase playlist" question
    (Closes: #241221).
  * Added the option "-m" to modify the resulting playlist, to contain CRLF at
    the end of every line, letting some hardware players which insist with
    DOS-style files to use them. Also, added DOSPLAYLIST as a config option.
  * When using a selected, localy cached CDDB entry, we forgot to show the
    selection when asking the user for editing the choice. Now we show it.
  * Improved the logic in the order of events when using a local CDDB repo.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue,  6 Apr 2004 05:29:38 +0000

abcde 2.1.15

  * EDITOR is called now evaluating the variable, so it works with full path
    and arguments.
  * Patch for making md5sum a variable (since some systems use a different
    name).
  * Correction by "huf" <mihi at mail.eol.hu>. The test code in line 376
    needed some quotes.
  * The PADDING code and some CDDB funcions were *really* messy. Now it looks
    cleaner, works faster and some not needed network operations are no
    longer performed when we are working with local CDDB repositories.
  * Added "-V" for extra verbosity (on slow networks the user might be waiting
    and wondering is something is happening).
  * Solved a bug with the non-interactive code.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 16 Feb 2004 00:13:12 +0000

abcde 2.1.14

  * Missing quotes restored (Closes: #228648).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 20 Jan 2004 06:43:04 +0000

abcde 2.1.13

  * Solved the problem with re-runs of multiple choices not showing all the
    choices (Closes: #228405) (this was a quick one)
  * We now show the selected CDDB entry on a second run, instead of all of
    them (not that one should stop abcde, but just in case). This way
    consecutive interrupted runs obtain the same results.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun, 18 Jan 2004 22:42:15 +0000

abcde 2.1.12

  * Check if normalizer is found in the PATH (Closes: #228014)
  * Added (commented) bits to check if the CD being processed is the CD on the
    tray, so that if differs we do not eject it.
  * Store locally the CDDB information, under $HOME/.cddb since it is being
    used by Grip (at least). PATH is user defined (Closes: #88048)
  * If you are using cdda2wav and SCSI drives, you can set CDROMID for the
    SCSI drive, since it differs from the cd-discid CDROM parameter
    (Closes: #121987).
  * MacOSX keeps on failing because the OS mounts the CD before we finish
    ripping it... or something else. Please, test test test the code, and
    report your findings. Pretty please. I have not been able to make it work
    with the reports I have received.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 16 Jan 2004 12:06:07 +0000

abcde 2.1.11

  * Urgent fixes for the FreeBSD and MacOSX bits. When using cdda2wav, the
    CDROM variable must be modified depending on the device interface. By now
    we will not try to be very smart.
  * Added a test for HTTPGETOPTS since it cannot be empty for the default
    HTTPGET options.
  * Quick release to fix a problem with the CDROM detection code.
    (Closes: #226647)
  * Cleaned a bashism. Thanks to Klaus Ethgen (Closes: #226782).
  * Rewrote some parts of the cdda2wav code. Since I do not have a machine
    where cdda2wav works, I cannot test the code. The modifications have been
    done following user reports. If you use cdda2wav and abcde does not work
    for you, please, contact me and we will try to sort things out. Thanks.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu,  8 Jan 2004 21:36:23 +0000

abcde 2.1.10

  * INLINETAG and STARTTRACKNUMBER flags added.
  * CDROM checking is now done with a bit more wiselly (Closes: #219768)
  * HTTPGET is only requested is "cddb" action is performed.
  * Workout the possibility of cdparanoia erasing our wav files
    (Closes: #172694)
  * The default answer for editing CDDB data is now "y" if the disk is
    unknown. If not, the default is "n". Requested by Ricky Buchanan.
  * Now we do not erase silently any previous $PLAYLISTFILE left behind by a
    previous CD ripping (Closes: #220753)
  * Write info file with cdda2wav (Closes: #187702).
    I do not use cdda2wav myself (me is cd-paranoid) so if anyone using
    cdda2wav has a problem with this, please, report.
  * CDROM comes in 1,0,0 kind of format for cdda2wav ripper. Corrected with a
    quick patch. Kudos go to Mikhail Manuilov <viper5k at pisem dot net> for
    noticing.
  * Merged bits to make abcde work under MacOSX. Thanks to Evan Jones.
  * Merged bits to avoid FreeDB people anger and to cut down the "abcde." part
    of the discid. Now you can set the "-C" command with the directory name.
    Kudos go to Bart Samwel.
  * Added some info bits to the config file about normalize, requested by
    Ricky Buchanan.
  * Added some testing for the wav file before normalizing, to check that the
    file is actually there.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon,  5 Jan 2004 14:43:59 +0000

abcde 2.1.9

  * The "First snow in Finland" release.
  * One head was missing a "-n"
  * Not use relative links when PLAYLISTDATAPREFIX is set (Closes: #165368)
  * Stupid use of $OUTPUTTYPE in flac tagging (Closes: #218625)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun,  2 Nov 2003 09:05:17 +0000

abcde 2.1.8

  * Small typo corrected (Closes: #217149)
  * KEEPWAVS now sets the "clean" action to "no", so the wavs are kept.
    (Closes: #216551)
  * Quick release fixing a couple of bugs introduced by the padding patch
    (Closes: #215962)
  * Control: Build-Depends-Indep: moved to Build-Depends:, as per
    http://www.debian.org/doc/debian-policy/ch-relationships.html#s-sourcebinarydeps
    (Closes: #214200)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 23 Oct 2003 09:49:01 +0000

abcde 2.1.7

  * The "Engineer" release. Yeah! I graduated!
  * Patch applied to solve the track submission interface issues. Kudos to
    Marc HE Brockschmidt, again (Closes: #126289)
  * Small bug related with DISTMP3NICE solved. Kudos to Wilbert Alberts.
    (Closes: #213756)
  * Padding now creates the list with padded numbers. Test patch. This should
    solve the problem with delayed tagging a single file.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 13 Oct 2003 09:50:09 +0000

abcde 2.1.6

  * Removed a nasty bug where even if the encode failed, the track was marked
    as successfully encoded (Closes: #208391)
  * Various Artists has now its own PLAYLIST format (Closes: #137432)
  * metaflac path corrected (Closes: #206110)
  * Hopefully this version repairs the comment part for Ogg/Vorbis files.
  * If nothing breaks, 2.2 will be released as soon as the KNOWNBUG is solved.
  * Removed all the inline tagging since it breaks the action chain, except
    in Ogg/Speex. Need to check if "vorbiscomment" can be used for it.
    (Closes: #206311)
  * Added DISTMP3NICE variable, to nice the distmp3 program (Closes: #208398)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu,  4 Sep 2003 10:53:09 +0000

abcde 2.1.5

  * Small fixes and patches.
    + GENRE can be used for OUTPUTFORMAT and PLAYLISTFORMAT
    + id3v2 should work now with -c for comments (Closes: #199949)
    + small bug with batch encoding
    + Variables are exported before the CDDB functions are called, so they
      should use the right variables for the HTTPGET command.
    + Tagging also use TRACKS and CDGENRE for MP3 files (kudos to Dirk
      Ruediger)
    + FLAC encoding now uses dismp3 to encode remotely (kudos to Taylor and
      Kevin Cramer). HANDLE WITH CARE ;)
      Also FLAC now uses CDGENRE and CDYEAR for tagging.
  * tail/head change: -1 has been deprecated. Noted by Stephan Kulow.
  * Ogg/Speex support added, for speech encoding (Closes #204635)
  * Documentation update (Closes: #198825)
  * Patch for "=" in the name applied (Closes: #197199)

 -- Jesus Climent <jesus.climent@hispalinux.es>  Thu, 14 Aug 2003 16:45:29 +0000

abcde 2.1.4

  * Small bug fixes:
    + COMMENT should work now.
    + Aesthetic padding on the total amount of tracks.
    + CDROM typo
    + CDROM is now checked after reading the user defined entries.
  * Remove trailing args from $EDITOR when checking -x: Closes #179222.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sun, 18 May 2003 18:47:36 +0000

abcde 2.1.3

  * Makefile was missing cddb-tool.1.
  * Introduced dagrab as CD ripping utility.
  * cddb-tool seq calls converted to functions. No more distro dependencies.
  * WGET* variables converted to HTTPGET* variables. FreeBSD can safelly use
    fetch.
  * More FreeBSD specific bits: CDROM and EJECT changes.
  * Typo in abcde.conf
  * Added CDDBPROTO for specifying the protocol level of the cddb query.
  * CDDB protocol upgraded to 5. CDYEAR and CDGENRE are now used for CD
    tagging.
  * COMMENT is now used for inline tagging with oggenc (my mistake it was
    missing): Closes: #191475.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Sat, 10 May 2003 07:49:22 +0000

abcde 2.1.2

  * Documentation updates: Closes: #186230.
  * Usual set of bug fixes and corrections.
  * Default behaviour of VAOUTPUTFORMAT output changed to avoid multiple
    directories for a same album. I think the format is more logical, and you
    can always split the files once they are created.
  * Padding track wavs with 0 so if you want to burn those wavs just cdrecord
    *.wav will do it. Use "-p" to force it when encoding a small (<9) number
    of files (Closes: #111627).
  * Added "KEEPWAVS" as a variable to keep those wavs. Default is "no". Can
    use also "-k" in the command line. (Closes: #160372).
    This probably should be changed with an option to move the wav files to
    another directory instead of just keep de abcde.<cdid> directory.
  * Added documentation comments about OUTPUTTYPE (Closes: #184963).
  * abcde.conf cleanup: (Closes: #186230, #187400).

 -- Jesus Climent <jesus.climent@hispalinux.es>  Tue, 25 Mar 2003 16:39:25 +0200

abcde 2.1.1

  * New release.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 17 Mar 2003 08:52:01 +0200

abcde 2.1.0-3

  * Since abcde does not depend on eject, an execution test ([-x]) was added,
    but that means abcde needs a test for eject in the patch if -x is passed:
    Closes: #184151.
  * Merged some more bits from Marc 'HE' Brockschmidt: Closes: #126289.
  * A bit of more info in abcde.conf: Closes: #184963.
  * cddb-tool version updated to 0.4.2

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 14 Mar 2003 18:00:03 +0000

abcde 2.1.0-2

  * Old version string left behind. Updated.
  * Few more doc update bits.
  * Patches from Marc 'HE' Brockschmidt: Closes: #149499.
  * Small patch from Norbert Preining to support multiple output in the output
    directory.
  * cddb-tool parses CDYEAR with the help of awk: Closes: #114848.
  * cddb-tool does not globe "*" characters anymore: Closes: #157448.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 7 Mar 2003

abcde 2.1.0
  * The infamous "Works for me(TM)" and "Time to release" release.
    + We preppend track number now: Closes: #128966.
    + Itegrate flac: Closes: #126311.
    + Multi-format encode: Closes: #148934.
    + Gapless lame encoding: Closes: #172696.
    + CDROM documented: Closes: #182403.
  * Applied OpenBSD patches to make the script more portable. Thanks to Han
    Boetes.
  * Documentation fixes: closes: #100844, #136741.
  * NetBSD patches applied:
    - EXPERIMENTAL Normalize and Batch support.
    - EXPERIMENTAL FLAC support.
  * EXPERIMENTAL multiple output support:
    + multiple output and error checking
    + multiple lists support
  * Default output file changed to have the $track_number in the beginning.
  * abcde takeover.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Fri, 28 Feb 2003

abcde 2.0.3
  * The Fixed-Yet?-How-About-Now?-What-About-Now?-Now? Release
  * SMP fixed, mad props to Steve Madsen, closes: #69828, #111806
  * Minor code cleanups thanks to Adam Heath
  * Multiple inexact match results are generated in a safe manner
    thanks to Nick Martin, closes: #126025
  * Removed cddb-tool template generation bashism, thanks to Greg
    Norris, closes: #126327
  * Windows can't handle double quotes in filenames either.
    The default mungefilename now removes them, closes: #127643
  * Using -C with WAVOUTPUTDIR fixed, closes: #127728
  * Resuming various artists discs fixed, closes: #127731

 -- Robert Woodcock <rcw@debian.org>  Sun, 27 Jan 2002

abcde 2.0.2
  * The One-More-Time-With-Feeling Release
  * Bladeenc really works this time. Honest. closes: #121988

 -- Robert Woodcock <rcw@debian.org>  Mon,  3 Dec 2001

abcde 2.0.1

  * The I-Don't-Listen-To-Sssca Release
  * Example abcde.conf fixes, closes: #111580
  * So much for bladeenc's l3enc compatibility, closes: #110863
  * CDDB submit fixes (to enable CDDB submitting, put
    UNINTENTIONALLY_ANGER_THE_FREEDB_PEOPLE=y in your abcde.conf),
    closes: #111478, #111500
  * Minor mungefilename() cleanup
  * Small manpage fix
  * Works with oggenc when POSIXLY_CORRECT is defined, thanks to Juhapekka
    Tolvanen
  * Quote remote locations when calling distmp3
  * Allow remote encoding of oggs
  * Only remove wav files if the encoding succeeded
  * No-local-encoding via -j 0 fixed, thanks to Hans-Joachim Baader
  * CD read errors are trapped/resumed cleanly now thanks to Pete,
    closes: #111618
  * devfs device check fix, thanks to Clint Adams
  * Check for seq command - some BSD's have jot instead and abcde can't
    use that yet
  * Various Artists playlist generation fixed, thanks to William Lash

 -- Robert Woodcock <rcw@debian.org>  Tue,  6 Nov 2001

abcde 2.0

  * The Psychiatrist-Says-I'm-Stable-Again Release
  * Renamed to 2.0
  * Minor documentation updates

 -- Robert Woodcock <rcw@debian.org>  Wed, 15 Aug 2001

abcde 1.9.10

  * The Waiter-There's-A-Proof-In-My-Pudding Release
  * Fixed some quoting issues preventing abcde from using a temp directory
    containing spaces, closes: #89682
  * Now purges encodetracklocation notes from the status file when resuming.
  * -a playlist now implies -a cddb
  * Manpage and default config file updates, closes: #78726, #100841, #100845
  * Applied checkstatus patch by Itai Zukerman, fixes certain track number
    status checking situations, closes: #93395
  * Check to see if things run through run_command return a nonzero error
    code and present the command and error code to the user later,
    closes: #93485
  * Devfs fixup - If /dev/cdrom doesn't exist, try /dev/cdroms/cdrom0,
    closes: #101933
  * If a background process returned an error, log it. If it was an encode
    process, abandon that encode location and don't wait for the encode
    process to finish. Display the commandlines that resulted in error exits
    with their exit codes before aborting.
  * do_tag handles vorbis commenting failures idempotently
  * -n works again
  * Resumes encoding if all files have ripped, closes: #101843
  * do_cddbedit code checks to see if it's already been run

 -- Robert Woodcock <rcw@debian.org>  Wed,  1 Aug 2001

abcde 1.9.9

  * The Not-Quite-Last-In-The-Development-Series Release
  * I broke ID3v1 comments in 1.9.8, it's fixed now, thanks to Christian
    Beyerlein for noticing this

 -- Robert Woodcock <rcw@debian.org>  Tue, 13 Mar 2001

abcde 1.9.8

  * The Groundshaking Release
  * Now defaults to using FreeDB instead of Gracenote. Pricks.
  * New VAOUTPUTFORMAT variable for those who like their various artists
    discs named in a different format
  * Accommodates the fact that OpenBSD xargs does not eat whitespace, thanks
    to Marcus Daniel for discovering this
  * New scheduler for distmp3, thanks to David Bergeron
  * xingmp3enc support, thanks to Brian Gannon
  * Stripped down cddb-tool a little bit so that abcde no longer requires
    mktemp
  * New -C option to let people continue where they left off if they no
    longer have the CD handy
  * ID3COMMENT is now COMMENT
  * Ogg commenting is now done separately so resuming doesn't break it
  * More documentation updates

 -- Robert Woodcock <rcw@debian.org>  Sat, 10 Mar 2001

abcde 1.9.7

  * The Overcast Partial Eclipse Release
  * Supports ID3v2
  * Various Artists heuristics patch by Kevin Everets
  * New -c option to specify an extra configuration file
  * Does not try to check if a tagger exists unless OUTPUTTYPE=mp3
  * cddb-tool template output fixes
  * Yet more documentation updates
  * Avoids id3v2's -c option for now
  * Adds support for another Various Artists format, "Artist: Title", thanks
    to Wolfgang Borgert
  * Fixed typo that was breaking remote encoding support
  * Hitting control-c while there's nothing in the foreground no longer
    causes abcde to delete all its work upon exit

 -- Robert Woodcock <rcw@debian.org>  Sun,  7 Jan 2001

abcde 1.9.6

  * The Squishy Release
  * Updated getopts call to remove obsoleted options
  * More documentation fixes, closes: #77957
  * Single inexact match spurious question fix
  * Fixed encoder trigger timing when using -l, closes: #77854

 -- Robert Woodcock <rcw@debian.org>  Sun, 26 Nov 2000

abcde 1.9.5

  * The "Run Towards Trick Or Treaters With Scissors" Release
  * Some documentation updates
  * mungefilename quoting fix
  * Implemented -a, which replaces -p, -P, and a number of other things

 -- Robert Woodcock <rcw@debian.org>  Mon, 30 Oct 2000

abcde 1.9.4

  * The "Run With Scissors" Release
  * Various Artists support by Kevin Everets
  * Specifying track numbers on the command line should work again, bash was
    getting a wee bit confuzzled with the way I had things before.
  * A couple more error output changes and miscellaneous fixes
  * OUTPUTDIR works again

 -- Robert Woodcock <rcw@debian.org>  Thu, 28 Sep 2000

abcde 1.9.3

  * The ugh Release
  * Brown Paper Bag fix for mp3enc users
  * Recreated the rest of the variable environment in do_playlist, fixes
    TRACKNUM availability for real this time, closes: #72535

 -- Robert Woodcock <rcw@debian.org>  Tue, 26 Sep 2000

abcde 1.9.2

  * The "Very Long Changelog Entries Can Become Addicting" Release.
  * Switched default output type to ogg, default encoder to oggenc
  * Since 1.9.x prompts for CDDB edits by default there is now a -N switch
    for non-interactivity.
  * Handles cddb entries with random sprinklings of CR's and LF's
  * You can now specify niceness for the reader and encoders, thanks to
    Kevin Everets <kevin.everets@alcatel.com>
  * -j 0 will now disable local encoding, thanks to Antonio Fiol
    <Antonio.FIOL@enst-bretagne.fr>
  * Vorbize should actually work now, thanks to Kevin Everets and James
    LewisMoss
  * Oggenc/Vorbize commenting support
  * Made TRACKNUM available for playlist generation
  * Fleshed out the TODO list a bit more
  * mungefilename() now translates ':' to ' -' by default. Rationale: You
    can't put ':' on a FAT filesystem. It also wreaks havoc with Samba.

 -- Robert Woodcock <rcw@debian.org>  Mon, 25 Sep 2000

abcde 1.9.1

  * The "Don't Fraun" Release.
  * Fixed a half-dozen minor buglets
  * A little less debug output, a lot more normal output
  * Resuming operation works better now
  * Patched up offline usage again
  * Broke OUTPUTFORMAT - if you plan on ever using Ogg support, and you've
    overridden the OUTPUTFORMAT default, change the ".mp3" to
    ".${OUTPUTTYPE}"
  * Beginnings of Ogg Vorbis support (vorbize and oggenc) - warning:
    completely untested

 -- Robert Woodcock <rcw@debian.org>  Thu, 17 Aug 2000

abcde 1.9

  * The "" Release.
  * Completely redone tmpfile handling, abcde can now continue where you left
    off. closes: #42970, #50883, #66668
  * Restructured program execution scheduling around central status file
  * Moved cddb-tool interactivity to abcde, 'cddb-tool get' no longer exists,
    it is now 'cddb-tool query' and 'cddb-tool read'.
  * Removed -e, -v, and -V, since abcde will now prompt you if you want to
    edit or otherwise muck with the data after you have a chance to see it.

 -- Robert Woodcock <rcw@debian.org>  Thu, 22 Jun 2000

abcde 1.1.1

  * The "That wasn't chicken" release.
  * Remote distributed encoding had a bad bug in 1.1 - work to be done
    remotely was duplicated locally (everything still turned out ok - there
    was just no speedup). Fixed that.
  * Restructured encode_and_tag function.

 -- Robert Woodcock <rcw@debian.org>  Sun, 07 May 2000

abcde 1.1

  * The "We heard Mr. Garrison say them a couple of times" Release.
  * New -r and REMOTEHOSTS option to use distmp3 to encode to multiple
    hosts at once.
  * Command-line track range specification (f.e. "abcde 1-12"
    (Thanks: Vincent Ho)
  * Now displays minutes/seconds for each track while displaying track titles
    at the start

 -- Robert Woodcock <rcw@debian.org>  Tue, 18 Apr 2000

abcde 1.0.6

  * The "Inspected by #17" Release.
  * New EJECTCD option to eject the CD after all tracks are read (thanks:
    Hrafnkell F Hlodversson)

 -- Robert Woodcock <rcw@debian.org>  Sun,  2 Apr 2000

abcde 1.0.5

  * The "...So we can both watch X-Files..." Release.
  * Quoting fix for setups without space->underscore filename munging
  * README file URL fixes/updates

 -- Robert Woodcock <rcw@debian.org>  Thu, 16 Mar 2000

abcde 1.0.4

  * CDPARANOIAOPTS and CDDA2WAVOPTS should work now.

 -- Robert Woodcock <rcw@debian.org>  Sun, 20 Feb 2000

abcde 1.0.3

  * The "This Space Intentionally Left Blank" Release
  * Support for reverse and dashed Various Artists discs
  * More elegant way of passing backtick data
  * Replaced all `foo` commands with $(foo)
  * Custom filename munging, closes: #38448

 -- Robert Woodcock <rcw@debian.org>  Wed,  9 Feb 2000

abcde 1.0.2

  * Now eats backticks in CDDB input (thanks to Steve Beattie)
  * mp3enc support (thanks to Richard Jelinek and Chris Ruvolo), closes: #56189
  * cddb-tool more gracefully handles no net connection for those with
    local caching name servers
  * Fixed HELLOINFO documentation bug, closes: #56189

 -- Robert Woodcock <rcw@debian.org>  Wed, 26 Jan 2000

abcde 1.0.1

  * The "s/ever/ Three Days/" Release
  * Now properly handles double-quotes in Artist and Album data
    (thanks to Clint Adams), closes: #54888

 -- Robert Woodcock <rcw@debian.org>  Thu, 13 Jan 2000

abcde 1.0

  * The "But a 1.0 is Forever" Release
  * Backed out cddb-tool quoting change, closes: #54005
  * Now strips carriage returns from CDDB data, closes: #53815
  * Added ID3COMMENT config option

 -- Robert Woodcock <rcw@debian.org>  Mon, 10 Jan 2000

abcde 0.8.9

  * The "Get it Before the World Implodes" Release
  * Added -D (debugging option, outputs debugging information to stderr).
    Very useful for submitting bug reports, hint hint hint :)
    Just do 'abcde -D 2>logfile' and include logfile in your bug report.
  * Now uses id3's new -T option to embed track numbers in ID3 tags.
  * Fixed cddb-tool output for FreeDB submissions, closes: #51986.
    Thanks to Clint Adams for spotting the problem
  * New -v switch for Various Artist CD's (thanks to Magenta Hari Nezumi)
    closes: #43581
  * Fixed minor cddb-tool manpage buglet
  * Fixed cddb-tool output for shell quoting, thanks to Philipp Meier.
    closes: #52469

 -- Robert Woodcock <rcw@debian.org>  Fri, 31 Dec 1999

abcde 0.8.8

  * Added gogo explainations to manpages and example config file
  * Added code by Stuart Ballard <sballard@netreach.net> to intelligently use
    relative paths for playlist files
  * Added PLAYLISTDATAPREFIX config option for those who wish to prefix their
    playlist data with things like URL's
  * Fixed bug added in 0.8 where the multiple inexact match choice selection
    would be hidden to the user (cddb-tool wasn't sending all user output to
    stderr as it should).

 -- Robert Woodcock <rcw@debian.org>  Sun, 28 Nov 1999

abcde 0.8.7

  * Removed parallelization of silent encoder processes

 -- Robert Woodcock <rcw@debian.org>  Tue, 16 Nov 1999

abcde 0.8.6

  * Removed bashisms (again :)

 -- Robert Woodcock <rcw@debian.org>  Sun, 14 Nov 1999

abcde 0.8.5

  * Fixed some output issues regarding background encoding that cropped up in
    0.8.3

 -- Robert Woodcock <rcw@debian.org>  Sun,  7 Nov 1999

abcde 0.8.4

  * New name. A Better CD Encoder. cdgrab was already taken - the original
    cdgrab name belongs to a CDDA reading program for DOS dating back to
    1993. It's still in use and active development, so I'm changing the
    name of cdgrab instead. See this URL for a description of the original
    cdgrab: http://www.scn.rain.com/pub/cdrom/cdgrab.txt

    Your old /etc/cdgrab.conf and/or ~/.cdgrab.conf can simply be
    renamed to /etc/abcde.conf and ~/.abcde.conf.

    The program name is now 'abcde'.

 -- Robert Woodcock <rcw@debian.org>  Tue,  2 Nov 1999

cdgrab 0.8.3

  * cdgrab 0.7 through 0.8.2 would leave around cdgrab.xxxxxx
    tempfiles with -j. Fixed that.
  * Fixed quoting issues regarding spaces in output files

 -- Robert Woodcock <rcw@debian.org>  Thu, 28 Oct 1999

cdgrab 0.8.2

  * Supports the 'gogo' mp3 encoder
  * cddb-tool escapes double quotes when sourcing its temp files
  * Added cddb-tool manpage

 -- Robert Woodcock <rcw@debian.org>  Sun, 10 Oct 1999

cdgrab 0.8.1

  * Cleared up some bashisms from the patches merged in 0.8

 -- Robert Woodcock <rcw@debian.org>  Sun, 19 Sep 1999

cdgrab 0.8

  * Fixed a bug where if multiple tracks (but not the entire CD) was
    specificed explicitly, cdgrab would loop forever after the first track
  * Now uses Debian's sensible-editor wrapper if available
  * Merged in patches from Nathaniel J Smith that puts cddb lookup
    functionality in a separate script, cddb-tool
  * Adds WAVOUTPUTDIR environment variable for those running out of space in
    OUTPUTDIR.

 -- Robert Woodcock <rcw@debian.org>  Thu, 26 Aug 1999

cdgrab 0.7.7

  * Yet another quick fix to finish what 0.7.6 started - cdgrab should now
    handle multiple inexact matches as well. (Thanks again to Robert Macaulay)

 -- Robert Woodcock <rcw@debian.org>  Thu, 12 Aug 1999

cdgrab 0.7.6

  * Another quick bugfix release - hopefully this will handle inexact matches
    properly now. (Thank you Robert Macaulay :)

 -- Robert Woodcock <rcw@debian.org>  Mon,  9 Aug 1999

cdgrab 0.7.5

  * Quick bugfix release - with any luck I can start on 0.8 soon :)
  * **** YOU WILL NEED TO EDIT CDGRAB.CONF **** if you use lame as
    /usr/bin/lamer. The default program name is now 'lame' as of lame v3.0.
    If you don't want to touch your lame installation, put the following in
    your cdgrab.conf: "LAME=lamer"
  * Omits -w from cdparanoia commands
  * Depends on cdparanoia-bin or cdparanoia now - this accommodates the recent
    cdparanoia package namechange.
  * Fixed a stealth-whitespace typo at line 495. Thanks go to Gregory T.
    Norris for tracking this down.

 -- Robert Woodcock <rcw@debian.org>  Tue, 13 Jul 1999

cdgrab 0.7.4

  * Now only uses the first match from a CDDB datafile for the track
    information, this works around a cddb glitch some of you may have
    hit last month
  * Default config file now gets version number from program.
  * added 'debug' option to CDROMREADERSYNTAX to get cdparanoia to only rip
    the first 5 seconds of a track. This is very useful to those debugging
    cdgrab, makes things go much faster. This will also prevent me releasing
    another 0.7.2 :)
  * Now puts options last on the encoder command line if you are using
    bladeenc or l3enc, this should allow the proper use of these encoders
    with additional commandline options (thanks to Justin Hugh Daly for
    pointing this out)
  * m3u PLAYLIST SUPPORT! Check out the new -p and -P options!

 -- Robert Woodcock <rcw@debian.org>  Mon,  7 Jun 1999

cdgrab 0.7.3

  * Fixes wget calling method
  * -l/LOWDISK documented
  * Fixes the lowdisk #2 option so it exits cleanly
  * Lets you enter track info for CDs without CDDB matches now

 -- Robert Woodcock <rcw@debian.org>  Sun, 23 May 1999

cdgrab 0.7.2

  * Woops, left some debugging code in 0.7.1 - if you have truckloads of 80kb
    mp3's, try this :)

 -- Robert Woodcock <rcw@debian.org>  Sun, 16 May 1999

cdgrab 0.7.1

  * LOWDISK/-l option added for those who don't have the disk space to run a
    parallelized session.
  * MAXPROCS added to config file
  * CDDB handling revisited - cdgrab should now properly handle CD's with
    multiple or inexact CDDB entries.

 -- Robert Woodcock <rcw@debian.org>  Fri, 14 May 1999

cdgrab 0.7

  * Parallelizes ripping and encoding - this may take substantially more disk
    space temporarily (up to 500MB or so depending on how fast your CPU is
    compared to your cdrom drive) but cdgrab will be done with your CD
    much more quickly.
  * Allows for SMP optimizations (multiple encoders running at once) with the
    new -j option
  * Output fix for TOC printing
  * cd-discid split off into it's own package

 -- Robert Woodcock <rcw@debian.org>  Fri,  7 May 1999

cdgrab 0.6.2

  * Fixes encoder and cdrom reader option-passing bug

 -- Robert Woodcock <rcw@debian.org>  Sun,  4 Apr 1999

cdgrab 0.6.1

  * Adds the -H option (don't create .inf files) when calling cdda2wav
  * Removed a bashism from the usage function

 -- Robert Woodcock <rcw@debian.org>  Mon, 29 Mar 1999

cdgrab 0.6

  * Tacks a .wav extension to the wave data temporary file to make bladeenc
    happy.
  * Munges /'s to _'s now instead of eating them
  * Adds command-line option configuration options for backend programs
  * Properly zero-pads the TRACKNUM variable

 -- Robert Woodcock <rcw@debian.org>  Sun, 28 Mar 1999

cdgrab 0.5

  * Added support for inexact or multiple CDDB matches
  * Properly bombs out if CDDB can't come up with a match
    (without CDDB, you might as well use cdparanoia -B)

 -- Robert Woodcock <rcw@debian.org>  Thu, 18 Mar 1999

cdgrab 0.4

  * Added ALBUMFILE, fixed manpage reference to it
  * Deletes editor backups from 'cdgrab -e' automagically
    (I wish mutt did this :)
  * Bombs out if there's no CD in the drive
  * Bombs out if any necessary external programs don't exist
  * Encourages people to use brackets for OUTPUTFORMAT variables to
    handle formats like Artist/TrackName_Number.mp3

 -- Robert Woodcock <rcw@debian.org>  Tue, 16 Mar 1999

cdgrab 0.3

  * Fixed one thinko in user preferences loading and another in the tagger
  * New option syntax - if you used to specify a cdrom device through the
    command line, use 'cdgrab -d device' now to get the same result.
  * Allows you to edit CDDB response data before using it (-e)
  * Added support for getting a user-specified selection of tracks
  * Added support for user-specified output file formats

 -- Robert Woodcock <rcw@debian.org>  Wed, 10 Mar 1999

cdgrab 0.2

  * Initial release

 -- Robert Woodcock <rcw@debian.org>  Sun, 21 Feb 1999
